## kiwisolver 1.4.7

=== docs/requirements.txt ===
sphinx>=4
sphinx-rtd-theme>=1
sphinx-tabs

## kiwisolver 1.0.1

=== debian/changelog ===
kiwisolver (1.0.1-3build1) focal; urgency=medium

  * No-change rebuild to drop python3.7.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 18 Feb 2020 10:48:51 +0100

kiwisolver (1.0.1-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * Convert git repository from git-dpm to gbp layout
  * Use debhelper-compat instead of debian/compat.

  [ Debian Janitor ]
  * Bump debhelper from old 11 to 12.
  * Set upstream metadata fields: Bug-Database, Repository, Repository-
    Browse.

  [ Sandro Tosi ]
  * Drop python2 support; Closes: #936800

 -- Sandro Tosi <morph@debian.org>  Sun, 16 Feb 2020 10:01:05 -0500

kiwisolver (1.0.1-2) unstable; urgency=medium

  * build proper -dbg packages
  * debian/control
    - bump Standards-Version to 4.1.4 (no changes needed)

 -- Sandro Tosi <morph@debian.org>  Sat, 21 Apr 2018 21:52:28 -0400

kiwisolver (1.0.1-1) unstable; urgency=low

  * Initial release; Closes: #895392

 -- Sandro Tosi <morph@debian.org>  Wed, 11 Apr 2018 02:55:22 +0000

=== debian/control ===
Source: kiwisolver
Section: python
Priority: optional
Maintainer: Sandro Tosi <morph@debian.org>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Build-Depends: debhelper-compat (= 12), dh-python,
               python3-all-dbg,
               python3-all-dev,
               python3-pkg-resources,
               python3-setuptools,
Standards-Version: 4.1.4
Homepage: https://github.com/nucleic/kiwi
Vcs-Git: https://salsa.debian.org/python-team/modules/kiwisolver.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/kiwisolver

Package: python3-kiwisolver
Architecture: any
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends},
Recommends: ${python3:Recommends}
Suggests: ${python3:Suggests}
Description: fast implementation of the Cassowary constraint solver - Python 3.X
 Kiwi is an efficient C++ implementation of the Cassowary constraint solving
 algorithm. Kiwi is an implementation of the algorithm based on the seminal
 Cassowary paper. It is *not* a refactoring of the original C++ solver. Kiwi
 has been designed from the ground up to be lightweight and fast. Kiwi ranges
 from 10x to 500x faster than the original Cassowary solver with typical use
 cases gaining a 40x improvement. Memory savings are consistently > 5x.
 .
 In addition to the C++ solver, Kiwi ships with hand-rolled Python bindings.
 .
 This package contains the Python 3 version of kiwisolver.

Package: python3-kiwisolver-dbg
Section: debug
Architecture: any
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}, python3-kiwisolver (= ${binary:Version}),
Recommends: ${python3:Recommends}
Suggests: ${python3:Suggests}
Description: fast implementation of the Cassowary constraint solver - Python 3.X debug
 Kiwi is an efficient C++ implementation of the Cassowary constraint solving
 algorithm. Kiwi is an implementation of the algorithm based on the seminal
 Cassowary paper. It is *not* a refactoring of the original C++ solver. Kiwi
 has been designed from the ground up to be lightweight and fast. Kiwi ranges
 from 10x to 500x faster than the original Cassowary solver with typical use
 cases gaining a 40x improvement. Memory savings are consistently > 5x.
 .
 In addition to the C++ solver, Kiwi ships with hand-rolled Python bindings.
 .
 This package contains the Python 3 debug symbols for kiwisolver.

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME=kiwisolver

export PYBUILD_DESTDIR_python3=debian/python3-kiwisolver
export PYBUILD_DESTDIR_python3-dbg=debian/python3-kiwisolver-dbg


%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_installchangelogs:
	dh_installchangelogs -A releasenotes.rst

override_dh_strip:
	dh_strip --no-automatic-dbgsym

## kiwisolver 1.2.0

=== debian/changelog ===
kiwisolver (1.2.0-1) unstable; urgency=medium

  * New upstream release
  * debian/copyright
    - update upstream copyright years
    - extend packaging copyright years
  * debian/control
    - wrap-and-sort
    - add cppy to b-d
    - bump dh compat to 13
    - bump Standards-Version to 4.5.0 (no changes needed)

 -- Sandro Tosi <morph@debian.org>  Sun, 23 Aug 2020 22:38:02 -0400

=== debian/control ===
--- 
+++ 
@@ -2,22 +2,26 @@
 Section: python
 Priority: optional
 Maintainer: Sandro Tosi <morph@debian.org>
-Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Build-Depends: debhelper-compat (= 12), dh-python,
+Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>,
+Build-Depends: debhelper-compat (= 13),
+               dh-python,
                python3-all-dbg,
                python3-all-dev,
+               python3-cppy,
                python3-pkg-resources,
                python3-setuptools,
-Standards-Version: 4.1.4
+Standards-Version: 4.5.0
 Homepage: https://github.com/nucleic/kiwi
 Vcs-Git: https://salsa.debian.org/python-team/modules/kiwisolver.git
 Vcs-Browser: https://salsa.debian.org/python-team/modules/kiwisolver
 
 Package: python3-kiwisolver
 Architecture: any
-Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends},
-Recommends: ${python3:Recommends}
-Suggests: ${python3:Suggests}
+Depends: ${misc:Depends},
+         ${python3:Depends},
+         ${shlibs:Depends},
+Recommends: ${python3:Recommends},
+Suggests: ${python3:Suggests},
 Description: fast implementation of the Cassowary constraint solver - Python 3.X
  Kiwi is an efficient C++ implementation of the Cassowary constraint solving
  algorithm. Kiwi is an implementation of the algorithm based on the seminal
@@ -33,9 +37,12 @@
 Package: python3-kiwisolver-dbg
 Section: debug
 Architecture: any
-Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}, python3-kiwisolver (= ${binary:Version}),
-Recommends: ${python3:Recommends}
-Suggests: ${python3:Suggests}
+Depends: python3-kiwisolver (= ${binary:Version}),
+         ${misc:Depends},
+         ${python3:Depends},
+         ${shlibs:Depends},
+Recommends: ${python3:Recommends},
+Suggests: ${python3:Suggests},
 Description: fast implementation of the Cassowary constraint solver - Python 3.X debug
  Kiwi is an efficient C++ implementation of the Cassowary constraint solving
  algorithm. Kiwi is an implementation of the algorithm based on the seminal

## kiwisolver 1.3.1

=== debian/changelog ===
kiwisolver (1.3.1-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Sandro Tosi ]
  * New upstream release
  * Run tests at build-time

 -- Sandro Tosi <morph@debian.org>  Sun, 08 Nov 2020 22:19:01 -0500

=== debian/control ===
--- 
+++ 
@@ -9,11 +9,12 @@
                python3-all-dev,
                python3-cppy,
                python3-pkg-resources,
+               python3-pytest <!nocheck>,
                python3-setuptools,
 Standards-Version: 4.5.0
 Homepage: https://github.com/nucleic/kiwi
-Vcs-Git: https://salsa.debian.org/python-team/modules/kiwisolver.git
-Vcs-Browser: https://salsa.debian.org/python-team/modules/kiwisolver
+Vcs-Git: https://salsa.debian.org/python-team/packages/kiwisolver.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/kiwisolver
 
 Package: python3-kiwisolver
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -14,3 +14,6 @@
 
 override_dh_strip:
 	dh_strip --no-automatic-dbgsym
+
+override_dh_auto_test:
+	PYBUILD_SYSTEM=custom PYBUILD_TEST_ARGS='PYTHONPATH={build_dir} {interpreter} -m pytest -v py/tests/' dh_auto_test

## kiwisolver 1.3.2

=== debian/changelog ===
kiwisolver (1.3.2-1build1) jammy; urgency=medium

  * No-change rebuild with Python 3.10 only

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 17 Mar 2022 19:25:32 +0000

kiwisolver (1.3.2-1) unstable; urgency=medium

  * New upstream release

 -- Sandro Tosi <morph@debian.org>  Sat, 09 Oct 2021 20:46:43 -0400

kiwisolver (1.3.1-2) unstable; urgency=medium

  [ Sandro Tosi ]
  * Use the new Debian Python Team contact name and address
  * remove -dbg package; Closes: #994303

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Submit.
  * Update standards version to 4.5.1, no changes needed.

 -- Sandro Tosi <morph@debian.org>  Thu, 30 Sep 2021 20:46:50 -0400

=== debian/control ===
Source: kiwisolver
Section: python
Priority: optional
Maintainer: Sandro Tosi <morph@debian.org>
Uploaders: Debian Python Team <team+python@tracker.debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-all-dev,
               python3-cppy,
               python3-pkg-resources,
               python3-pytest <!nocheck>,
               python3-setuptools,
Standards-Version: 4.5.1
Homepage: https://github.com/nucleic/kiwi
Vcs-Git: https://salsa.debian.org/python-team/packages/kiwisolver.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/kiwisolver

Package: python3-kiwisolver
Architecture: any
Depends: ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends},
Recommends: ${python3:Recommends},
Suggests: ${python3:Suggests},
Description: fast implementation of the Cassowary constraint solver - Python 3.X
 Kiwi is an efficient C++ implementation of the Cassowary constraint solving
 algorithm. Kiwi is an implementation of the algorithm based on the seminal
 Cassowary paper. It is *not* a refactoring of the original C++ solver. Kiwi
 has been designed from the ground up to be lightweight and fast. Kiwi ranges
 from 10x to 500x faster than the original Cassowary solver with typical use
 cases gaining a 40x improvement. Memory savings are consistently > 5x.
 .
 In addition to the C++ solver, Kiwi ships with hand-rolled Python bindings.
 .
 This package contains the Python 3 version of kiwisolver.

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME=kiwisolver

export PYBUILD_DESTDIR_python3=debian/python3-kiwisolver


%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_installchangelogs:
	dh_installchangelogs -A releasenotes.rst

override_dh_auto_test:
	PYBUILD_SYSTEM=custom PYBUILD_TEST_ARGS='PYTHONPATH={build_dir} {interpreter} -m pytest -v py/tests/' dh_auto_test

=== debian/watch ===
# try also https://pypi.debian.net/kiwisolver/watch
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/kiwisolver/kiwisolver-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## kiwisolver 1.4.4

=== debian/changelog ===
kiwisolver (1.4.4-2build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 09:06:46 +0000

kiwisolver (1.4.4-2) unstable; urgency=medium

  * orphan

 -- Sandro Tosi <morph@debian.org>  Sat, 02 Mar 2024 03:00:57 -0500

kiwisolver (1.4.4-1) unstable; urgency=medium

  * New upstream release
  * debian/control
    - bump b-d on cppy to >= 1.2.0
    - build using pyproject plugin
    - bump Standards-Version to 4.6.2.0 (no changes needed)
  * debian/copyright
    - extend packaging copyright years
    - update upstream copyright years

 -- Sandro Tosi <morph@debian.org>  Thu, 29 Dec 2022 21:22:42 -0500

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,16 @@
 Source: kiwisolver
 Section: python
 Priority: optional
-Maintainer: Sandro Tosi <morph@debian.org>
-Uploaders: Debian Python Team <team+python@tracker.debian.org>,
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>,
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
+               pybuild-plugin-pyproject,
                python3-all-dev,
-               python3-cppy,
+               python3-cppy (>= 1.2.0),
                python3-pkg-resources,
                python3-pytest <!nocheck>,
                python3-setuptools,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.2.0
 Homepage: https://github.com/nucleic/kiwi
 Vcs-Git: https://salsa.debian.org/python-team/packages/kiwisolver.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/kiwisolver

## kiwisolver 1.4.5

=== debian/changelog ===
kiwisolver (1.4.5-1deepin0) unstable; urgency=medium

  * No source change upload against GCC 12.

 -- Tianyu Chen <sweetyfish@deepin.org>  Thu, 19 Sep 2024 22:51:47 +0800

kiwisolver (1.4.5-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)
  * Testsuite: autopkgtest-pkg-python (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * watch file standard 4 (routine-update)

 -- Emmanuel Arias <eamanu@debian.org>  Sun, 21 Apr 2024 20:48:13 -0300

kiwisolver (1.4.4-3) unstable; urgency=medium

  * Adopt package. Add myself as Uploaders. Closes: #1065244.
  * d/control: Add python3-setuptool-scm as Build Dependency. Closes:
    #1063464.

 -- Emmanuel Arias <eamanu@debian.org>  Thu, 28 Mar 2024 12:33:04 -0300

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: kiwisolver
 Section: python
+Testsuite: autopkgtest-pkg-python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>,
+Maintainer: Debian Python Team <team+python@tracker.debian.org>,
+Uploaders: Emmanuel Arias <eamanu@debian.org>,
 Build-Depends: debhelper-compat (= 13),
                pybuild-plugin-pyproject,
                python3-all-dev,
@@ -10,8 +11,10 @@
                python3-pkg-resources,
                python3-pytest <!nocheck>,
                python3-setuptools,
-Standards-Version: 4.6.2.0
+               python3-setuptools-scm,
+Standards-Version: 4.7.0
 Homepage: https://github.com/nucleic/kiwi
+Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/python-team/packages/kiwisolver.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/kiwisolver

## kiwisolver 1.4.7

=== debian/changelog ===
kiwisolver (1.4.7-3build2) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 18 Oct 2025 13:22:06 +0000

kiwisolver (1.4.7-3build1) plucky; urgency=medium

  * No-change rebuild with Python 3.13 only

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 04 Mar 2025 22:15:55 +0000

kiwisolver (1.4.7-3) unstable; urgency=medium

  * Team Upload
  * Fix syntax error in Maintainer: field that confuses UDD & the Tracker
  * Remove python3-pkg-resources from build-dependencies (Closes: #1083456)
  * Use dh-sequence-python3

 -- Alexandre Detiste <tchet@debian.org>  Tue, 28 Jan 2025 00:56:55 +0100

kiwisolver (1.4.7-2) unstable; urgency=medium

  * d/rules: Revert execute_after_dh_auto_install. Stop removing .dist-info
    folder from Debian package after installation.

 -- Emmanuel Arias <eamanu@debian.org>  Tue, 08 Oct 2024 06:52:04 -0300

kiwisolver (1.4.7-1) unstable; urgency=medium

  * New upstream version.

 -- Emmanuel Arias <eamanu@debian.org>  Thu, 03 Oct 2024 09:17:03 -0300

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,13 @@
 Section: python
 Testsuite: autopkgtest-pkg-python
 Priority: optional
-Maintainer: Debian Python Team <team+python@tracker.debian.org>,
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Emmanuel Arias <eamanu@debian.org>,
 Build-Depends: debhelper-compat (= 13),
+               dh-sequence-python3,
                pybuild-plugin-pyproject,
                python3-all-dev,
                python3-cppy (>= 1.2.0),
-               python3-pkg-resources,
                python3-pytest <!nocheck>,
                python3-setuptools,
                python3-setuptools-scm,

## kiwisolver 1.4.10~rc0

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
SPHINXPROJ    = kiwi
SOURCEDIR     = source
BUILDDIR      = build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== debian/changelog ===
kiwisolver (1.4.10~rc0-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.7.2 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)

 -- Emmanuel Arias <eamanu@debian.org>  Fri, 17 Oct 2025 00:02:46 -0300

=== debian/control ===
Source: kiwisolver
Standards-Version: 4.7.2
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Emmanuel Arias <eamanu@debian.org>,
Section: python
Testsuite: autopkgtest-pkg-python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3-all-dev,
 python3-cppy,
 python3-pytest <!nocheck>,
 python3-setuptools,
 python3-setuptools-scm,
Vcs-Browser: https://salsa.debian.org/python-team/packages/kiwisolver
Vcs-Git: https://salsa.debian.org/python-team/packages/kiwisolver.git
Homepage: https://github.com/nucleic/kiwi
Rules-Requires-Root: no

Package: python3-kiwisolver
Architecture: any
Depends:
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Recommends:
 ${python3:Recommends},
Suggests:
 ${python3:Suggests},
Description: fast implementation of the Cassowary constraint solver - Python 3.X
 Kiwi is an efficient C++ implementation of the Cassowary constraint solving
 algorithm. Kiwi is an implementation of the algorithm based on the seminal
 Cassowary paper. It is *not* a refactoring of the original C++ solver. Kiwi
 has been designed from the ground up to be lightweight and fast. Kiwi ranges
 from 10x to 500x faster than the original Cassowary solver with typical use
 cases gaining a 40x improvement. Memory savings are consistently > 5x.
 .
 In addition to the C++ solver, Kiwi ships with hand-rolled Python bindings.
 .
 This package contains the Python 3 version of kiwisolver.

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 
 
 %:
-	dh $@ --with python3 --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild
 
 override_dh_installchangelogs:
 	dh_installchangelogs -A releasenotes.rst

=== debian/watch ===
# try also https://pypi.debian.net/kiwisolver/watch
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/kiwisolver/kiwisolver-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
